function [psi,V,VDk] = initialize(this,calcObj,Params,Transf,TransfRad)

format long
X = Transf.X; Y = Transf.Y; Z = Transf.Z;

% == Trap potential == %
V = 0.5*(Params.gx.*X.^2+Params.gy.*Y.^2+Params.gz*Z.^2); 

% == Calculating the DDIs == %
if isfile(strcat(this.SaveDirectory, '/VDk_M.mat'))
    VDk = load(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')));
    VDk = VDk.VDk;
else
    VDk = calcObj.calculateVDCutoff(Params,Transf,TransfRad);
    save(sprintf(strcat(this.SaveDirectory, '/VDk_M.mat')),'VDk');
end
fprintf('Computed and saved DDI potential in Fourier space with %s cutoff.', calcObj.CutoffType)

% == Setting up the initial wavefunction == %
psi = this.setupWavefunction(Params,Transf);

end